#ifndef KEYBINDS_CPP
#define KEYBINDS_CPP

#include <core/inc.hpp>

auto keybinds::g_handler::AddKeybind( std::vector<Key>& keybinds, bool condition, const std::string& name, bool toggled, bool holding ) -> void
{
    if ( !condition )
        return;

    Key Data
    {
        .Name = name,
        .Toggled = toggled,
        .Holding = holding
    };

    keybinds.push_back( Data );
}

#endif // !KEYBINDS_CPP